Check if a domain or handle is allowed for TLS certificate validation. Used for Caddy SSL certificate issuance.
GET
/pds/tls-check
const url = 'https://api.tophhie.cloud/pds/tls-check?domain=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tophhie.cloud/pds/tls-check?domain=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”domain
required
string
Responses
Section titled “Responses”OK.
Media typetext/plain
string
Input Validation Error
Media typeapplication/json
object
success
required
boolean
errors
required
Array<object>
object
code
required
number
message
required
string
path
required
Array<string>
Example
{ "success": false, "errors": [ { "code": 7001, "message": "Input Validation Error", "path": [ "body" ] } ]}
